1. Quick Start

2026-05-11

You can access our test apis code here

Written by: Tarun

  1. Login to Millow Api

Returns token


curl --location --request POST 'https://api.bgv.millowapp.com/login'
--header 'Authorization: Basic QXBpVGVzdEhyNDBjQGV4YW1wbGUuY29tOm5pNjN5amZr'

  1. Create Person

Returns personId


curl --location 'https://api.bgv.millowapp.com/person'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer <YOUR_TOKEN>'
--data-raw '{
    "fullName":<YOUR_NAME>,
    "email":<YOUR_EMAIL>,
    "clientReferenceId":<UNIQUE_ID>

}'
  1. Add Check

Returns orderCheckId


curl --location 'https://api.bgv.millowapp.com/person/check'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer <YOUR_TOKEN>'
--data '{
    "checkShortName": "identity",
    "personId": <CREATED_PERSON_ID>,
    "checkInfos": {
        "pan": "AAAAR4534T"
    }
}'
  1. Add Attachment to Check

Returns presigned URL to upload your file


curl --location --request PUT 'https://api.bgv.millowapp.com/person/check'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer <YOUR_TOKEN>'
--data '{
    "orderCheckId": <CREATED_ORDER_ID>,
    "checkShortName":"identity",
    "attachmentShortName":"pancard",
    "fileName":<YOUR_FILE_NAME>,
    "contentType":<FILE_TYPE>
}'
  1. Upload file to presigned URL

curl --location --request PUT <YOUR_PRESIGNED_URL>
--header 'Content-Type: image/png'
--data-binary '@/C:/Users/tarun/OneDrive/Pictures/millowlogo.png'
  1. Get Report

curl --location 'https://api.bgv.millowapp.com/person?personId=<CREATED_PERSON_ID>'
--header 'Authorization: Bearer <YOUR_TOKEN>'